Bug 205500 - gcc-debuginfo contains symlinks to a buildroot
Summary: gcc-debuginfo contains symlinks to a buildroot
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 204435
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-06 19:06 UTC by Radek Bíba
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.1.1-23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 14:09:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Bíba 2006-09-06 19:06:06 UTC
rpm -qvpl gcc-debuginfo-4.1.1-20.i386.rpm says among others:
lrwxrwxrwx    1 root    root               61 Aug 29 00:23
/usr/src/debug/gcc-4.1.1-20060828/obj-i386-redhat-l
inux/gcc/ada/rts/a-caldel.adb ->
/builddir/build/BUILD/gcc-4.1.1-20060828/gcc/ada/a-caldel.adb
lrwxrwxrwx    1 root    root               61 Aug 29 00:23
/usr/src/debug/gcc-4.1.1-20060828/obj-i386-redhat-l
inux/gcc/ada/rts/a-caldel.ads ->
/builddir/build/BUILD/gcc-4.1.1-20060828/gcc/ada/a-caldel.ads
...

A similar issue happens with custom-built debugingo package.

This bug depends on bug 204435. Once it is resolved, gcc will need to be
rebuilt, too.

Comment 1 Jakub Jelinek 2006-09-18 14:09:47 UTC
Should be fixed in gcc-4.1.1-23 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.